PUT /api/v3/chargebackWorkflow/{chargebackWorkflowId}

Edit a chargeback workflow

EditChargebackWorkflowV3 Permissions: Chargebacks (Manage)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
chargebackWorkflowId Chargeback workflow id integer (int32) Required

Request Body

ChargebackWorkflowEdit
Property Description Type
chargebackWorkflowInfo Name given to the chargeback workflow Required Must be between 0 and 64 characters string
chargebackWorkflowSteps List of chargeback workflow steps with details Order of the steps in the list determines the steps in the workflow. Cannot be Empty Required (defined) ChargebackWorkflowStepEdit[]
ChargebackWorkflowStepEdit properties
Property Description Type
chargebackWorkflowStepDescription Description for the chargeback workflow step Required Must be between 0 and 255 characters string
chargebackWorkflowStepId Identifier for the chargeback workflow step If calculateBillWorkflowStepId has a value it will be updated If calculateBillWorkflowStepId is null, a new step will be created Required (defined) integer (int32)
chargebackWorkflowStepInfo Name given to the chargeback workflow step Must be unique for a particular type (split or calculation) across all workflows Required Must be between 0 and 64 characters string
chargebackWorkflowStepType The chargeback type that can be assign to this chargeback workflow step. When editing a step you cannot change the type One of ‘Split’, ‘Calculation’ Required (defined) string
Example Request Body application/json
{  "chargebackWorkflowInfo": "string",  "chargebackWorkflowSteps": [
    {    "chargebackWorkflowStepDescription": "string",    "chargebackWorkflowStepId": 1,    "chargebackWorkflowStepInfo": "string",    "chargebackWorkflowStepType": "string"
  }
  ]
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

ChargebackWorkflowResponse
Property Description Type
chargebackWorkflowId Identifier for the chargeback workflow integer (int32)
chargebackWorkflowInfo Name given to the chargeback workflow string
chargebackWorkflowSteps List of workflow steps with details ChargebackWorkflowStep[]
ChargebackWorkflowStep properties
Property Description Type
chargebackWorkflowStepDescription Description for the chargeback workflow step string
chargebackWorkflowStepId Identifier for the chargeback workflow step integer (int32)
chargebackWorkflowStepInfo Name given to the chargeback workflow step string
chargebackWorkflowStepOrder The order for this step within the chargeback workflow integer (int32)
chargebackWorkflowStepType The chargeback type that can be assign to this chargeback workflow step. Either “Split” or “Calculation” string
Example Response application/json
{  "chargebackWorkflowId": 1,  "chargebackWorkflowInfo": "string",  "chargebackWorkflowSteps": [
    {    "chargebackWorkflowStepDescription": "string",    "chargebackWorkflowStepId": 1,    "chargebackWorkflowStepInfo": "string",    "chargebackWorkflowStepOrder": 1,    "chargebackWorkflowStepType": "string"
  }
  ]
}